Domains
Renew Domain
Renew a domain registration.
This is a billable action.
POST
/
api
/
v1
/
registrar
/
domains
/
{domain}
/
renew
Renew Domain
curl --request POST \
--url https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"years": 1
}'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({years: 1})
};
fetch('https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew"
payload = { "years": 1 }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew"
payload := strings.NewReader("{\n \"years\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"domain": "<string>",
"new_expiry_date": "2023-11-07T05:31:56Z",
"years_renewed": 1,
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Query Parameters
Body
application/json
Request to renew a domain
Required range:
1 <= x <= 10⌘I
Renew Domain
curl --request POST \
--url https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"years": 1
}'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({years: 1})
};
fetch('https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew"
payload = { "years": 1 }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dotlet.net/api/v1/registrar/domains/{domain}/renew"
payload := strings.NewReader("{\n \"years\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"domain": "<string>",
"new_expiry_date": "2023-11-07T05:31:56Z",
"years_renewed": 1,
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}